version: '3'
services:
  apache:
    build: .docker/apache
    container_name: interview_apache
    ports:
      - 8999:80
    volumes:
      - .docker/config/vhosts:/etc/apache2/sites-enabled
      - .:/home/wwwroot/interview
    depends_on:
      - php

  php:
    build: .docker/php
    container_name: interview_php
    volumes:
      - .:/home/wwwroot/interview
    environment:
      - maildev_host=interview_maildev